package v1

import (
	"git.echol.cn/loser/lckt/api/v1/article"
	"git.echol.cn/loser/lckt/api/v1/bot"
	"git.echol.cn/loser/lckt/api/v1/category"
	"git.echol.cn/loser/lckt/api/v1/example"
	"git.echol.cn/loser/lckt/api/v1/system"
	"git.echol.cn/loser/lckt/api/v1/user"
)

var ApiGroupApp = new(ApiGroup)

type ApiGroup struct {
	SystemApiGroup   system.ApiGroup
	ExampleApiGroup  example.ApiGroup
	CategoryApiGroup category.ApiGroup
	BotApiGroup      bot.ApiGroup
	ArticleApiGroup  article.ApiGroup
	UserApiGroup     user.APPUserApi
}
